> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.prolific.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.prolific.com/_mcp/server.

# Retrieve user identity

GET https://api.prolific.com/api/v1/users/me/identity/

Internal endpoint. Returns the minimal identity fields (id, user_type) for the
token owner. Intended for machine-to-machine use by AWS microservices that need
to authenticate a user without the overhead of the full /users/me/ payload.

Add an `Authorization` header with the value `Token <your token>`.

Reference: https://docs.prolific.com/api-reference/users/get-user-identity

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Prolific API for Data Collectors
  version: 1.0.0
paths:
  /api/v1/users/me/identity/:
    get:
      operationId: get-user-identity
      summary: Retrieve user identity
      description: >-
        Internal endpoint. Returns the minimal identity fields (id, user_type)
        for the

        token owner. Intended for machine-to-machine use by AWS microservices
        that need

        to authenticate a user without the overhead of the full /users/me/
        payload.


        Add an `Authorization` header with the value `Token <your token>`.
      tags:
        - users
      parameters:
        - name: Authorization
          in: header
          description: >-
            The Prolific API uses API token to authenticate requests. You can
            create an API token directly from your settings.


            Your API token does not have an expiry date and carries full
            permission, so be sure to keep them secure.


            If your token is leaked, delete it and create a new one directly in
            the app.


            In your requests add `Authorization` header with the value `Token
            <your token>`.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Users_GetUserIdentity_Response_200'
        '400':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
servers:
  - url: https://api.prolific.com
    description: Production
components:
  schemas:
    ApiV1UsersMeIdentityGetResponsesContentApplicationJsonSchemaUserType:
      type: string
      enum:
        - Researcher
        - Participant
        - Staff
      title: ApiV1UsersMeIdentityGetResponsesContentApplicationJsonSchemaUserType
    Users_GetUserIdentity_Response_200:
      type: object
      properties:
        id:
          type: string
        user_type:
          $ref: >-
            #/components/schemas/ApiV1UsersMeIdentityGetResponsesContentApplicationJsonSchemaUserType
      title: Users_GetUserIdentity_Response_200
    ErrorDetailDetail2:
      type: object
      properties:
        any_field:
          type: array
          items:
            type: string
          description: >-
            Name of the field with a validation error and as a value an array
            with the error descriptions
      description: All fields with validation errors
      title: ErrorDetailDetail2
    ErrorDetailDetail:
      oneOf:
        - type: string
        - type: array
          items:
            type: string
        - $ref: '#/components/schemas/ErrorDetailDetail2'
      description: Error detail
      title: ErrorDetailDetail
    ErrorDetail:
      type: object
      properties:
        status:
          type: integer
          description: Status code as in the http standards
        error_code:
          type: integer
          description: Internal error code
        title:
          type: string
          description: Error title
        detail:
          $ref: '#/components/schemas/ErrorDetailDetail'
          description: Error detail
        additional_information:
          type: string
          description: Optional extra information
        traceback:
          type: string
          description: Optional debug information
        interactive:
          type: boolean
      required:
        - status
        - error_code
        - title
        - detail
      title: ErrorDetail
    Error:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
      required:
        - error
      title: Error
  securitySchemes:
    token:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        The Prolific API uses API token to authenticate requests. You can create
        an API token directly from your settings.


        Your API token does not have an expiry date and carries full permission,
        so be sure to keep them secure.


        If your token is leaked, delete it and create a new one directly in the
        app.


        In your requests add `Authorization` header with the value `Token <your
        token>`.

```

## Examples



**Response**

```json
{
  "id": "60a42f4c693c29420793cb73",
  "user_type": "Participant"
}
```

**SDK Code**

```python Users_GetUserIdentity_example
import requests

url = "https://api.prolific.com/api/v1/users/me/identity/"

headers = {"Authorization": "Token <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Users_GetUserIdentity_example
const url = 'https://api.prolific.com/api/v1/users/me/identity/';
const options = {method: 'GET', headers: {Authorization: 'Token <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Users_GetUserIdentity_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.prolific.com/api/v1/users/me/identity/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Token <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Users_GetUserIdentity_example
require 'uri'
require 'net/http'

url = URI("https://api.prolific.com/api/v1/users/me/identity/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Token <token>'

response = http.request(request)
puts response.read_body
```

```java Users_GetUserIdentity_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.prolific.com/api/v1/users/me/identity/")
  .header("Authorization", "Token <token>")
  .asString();
```

```php Users_GetUserIdentity_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.prolific.com/api/v1/users/me/identity/', [
  'headers' => [
    'Authorization' => 'Token <token>',
  ],
]);

echo $response->getBody();
```

```csharp Users_GetUserIdentity_example
using RestSharp;

var client = new RestClient("https://api.prolific.com/api/v1/users/me/identity/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Token <token>");
IRestResponse response = client.Execute(request);
```

```swift Users_GetUserIdentity_example
import Foundation

let headers = ["Authorization": "Token <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.prolific.com/api/v1/users/me/identity/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```